列出带有可选状态和会话筛选器的执行。项目范围由路由 ID 路径参数承载,而组织则派生自该项目。
GET /api/v1/projects/{id}/executions
curl \
--request GET 'https://agentengine.mongodb.com/api/v1/projects/{id}/executions' \
--header "Authorization: $API_KEY"
响应示例 (406)
操作不可用
{
"detail": "This operation is not available in API version 2026-09-20-preview.",
"error": 406,
"errorCode": "OPERATION_NOT_IN_API_VERSION",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
{
"detail": "This operation supports text/event-stream, which the Accept header excludes. Remove unsupported media-type parameters or accept this type with a positive q value.",
"error": 406,
"errorCode": "UNACCEPTABLE_MEDIA_TYPE",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
{
"detail": "The requested API version is not supported. Supported versions: 2026-09-20-preview.",
"error": 406,
"errorCode": "UNSUPPORTED_API_VERSION",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
响应示例 (406)
{
"detail": "This operation is not available in API version 2026-09-20-preview.",
"error": 406,
"errorCode": "OPERATION_NOT_IN_API_VERSION",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
响应示例 (200)
{
"count": 42,
"executions": [
{
"created_at": "string",
"error": "string",
"error_code": "string",
"execution_id": "string",
"message": "string",
"org_id": "string",
"project_id": "string",
"session_id": "string",
"startup_failure": {
"boot_id": "string",
"code": "string",
"component": "string",
"phase": "string",
"source": "string"
},
"status": "string",
"suspend_context": {},
"suspend_reason": "string",
"updated_at": "string",
"user_id": "string"
}
],
"success": true
}
响应示例 (200)
{
"count": 42,
"executions": [
{
"created_at": "string",
"error": "string",
"error_code": "string",
"execution_id": "string",
"message": "string",
"org_id": "string",
"project_id": "string",
"session_id": "string",
"startup_failure": {
"boot_id": "string",
"code": "string",
"component": "string",
"phase": "string",
"source": "string"
},
"status": "string",
"suspend_context": {},
"suspend_reason": "string",
"updated_at": "string",
"user_id": "string"
}
],
"success": true
}
响应示例 (400)
{
"code": "string",
"error": "string",
"success": true
}
响应示例 (400)
{
"code": "string",
"error": "string",
"success": true
}
响应示例 (401)
{
"code": "string",
"error": "string",
"success": true
}
响应示例 (401)
{
"code": "string",
"error": "string",
"success": true
}
响应示例 (425)
{
"code": "string",
"error": "string",
"success": true
}
响应示例 (425)
{
"code": "string",
"error": "string",
"success": true
}
响应示例 (500)
{
"code": "string",
"error": "string",
"success": true
}
响应示例 (500)
{
"code": "string",
"error": "string",
"success": true
}
响应示例 (502)
{
"code": "string",
"error": "string",
"success": true
}
响应示例 (502)
{
"code": "string",
"error": "string",
"success": true
}